%define anolis_release 2
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DB\\)
%global base_version 1.50

Name:           perl-Carp
Version:        1.52
Release:        %{anolis_release}%{?dist}
Summary:        Alternative warn and die for modules
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            http://search.cpan.org/dist/Carp/
Source0:        https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/Carp-%{base_version}.tar.gz
BuildArch:      noarch
Patch0:         Carp-1.50-Upgrade-to-1.52.patch

BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(warnings) perl(strict)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(B) perl(Config) perl(Data::Dumper)
BuildRequires:  perl(IPC::Open3) perl(overload) perl(Test::More) >= 0.47


%description
The Carp routines are useful in your own modules because they act like
die() or warn(), but with a message which is more likely to be useful to a
user of your module. In the case of cluck, confess, and longmess that
context is a summary of every call in the call-stack. For a shorter message
you can use carp or croak which report the error as being from where your
module was called. There is no guarantee that that is where the error was,
but it is a good educated guess.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Carp-%{base_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%make_build pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%make_build test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README Changes

%changelog
* Sat Apr 15 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.52-2
- Optimize the spec file

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.52-1
- remove versioned MODULE_COMPAT_ requires
- update to version 1.52

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.50-3
- rebuild with perl 5.36.0

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.50-2
- add doc package

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 1.50-1
- Initial version from upstream 1.50
